program Project1;

{$APPTYPE CONSOLE}
uses sysutils;
var
f:textfile;
I,L,V,N,B,J,t1,tst,r:integer;
T:SINGLE;
rlt:string;
bbb:boolean;
begin
assign(f, 'TRANSPORT.IN');
reset(f);
readln(f,tst);
for I := 1 to tst do begin
   READLN(F,N,V,L);
   T:=(L/V)*60;
   for J := 1 to N do BEGIN
     read(f,b,t1);
     t:=t+t1;
   END;
   rlt:=floattostr(round(t*100)/100);
   bbb:=false;
   for j := 1 to length(rlt) do begin
      if rlt[j]=',' then begin
        rlt[j]:='.';
        bbb:=not bbb;
        r:=j;
        break;
      end;
    end;
   if bbb=false then
   rlt:=rlt+'.00';
   if (length(rlt)-r)=1 then
              rlt:=rlt+'0';
   writeln(rlt);
end;
close(f);
end.

